Last Comment Bug 699513 - Advertise Telemetry opt-in on mobile
: Advertise Telemetry opt-in on mobile
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P2 normal (vote)
: ---
Assigned To: Brian Nicholson (:bnicholson)
:
:
Mentors:
Depends on: 696076 700913
Blocks: 702281 702319
  Show dependency treegraph
 
Reported: 2011-11-03 11:57 PDT by Lawrence Mandel [:lmandel] (use needinfo)
Modified: 2016-07-29 14:20 PDT (History)
10 users (show)
camelia.urian: in‑litmus+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
patch (2.96 KB, patch)
2011-11-08 13:31 PST, Brian Nicholson (:bnicholson)
mark.finkle: review+
Details | Diff | Splinter Review
patch v2 (2.91 KB, patch)
2011-11-09 11:27 PST, Brian Nicholson (:bnicholson)
no flags Details | Diff | Splinter Review
patch v3 (2.94 KB, patch)
2011-11-11 12:33 PST, Brian Nicholson (:bnicholson)
no flags Details | Diff | Splinter Review

Description Lawrence Mandel [:lmandel] (use needinfo) 2011-11-03 11:57:58 PDT
Aside from having a preference to enable/disable Telemetry on mobile we need to advertise Telemetry to our users and encourage them to opt-in. We need some sort of UI that is exposed to the user for this purpose.
Comment 1 John Hammink 2011-11-07 09:55:34 PST
Send performance data Seems to exist in preferences for latest birch. 20111107
Comment 2 Lawrence Mandel [:lmandel] (use needinfo) 2011-11-07 10:30:41 PST
John, you're correct. Adding the Send performance data preference was the goal of bug 696076. This bug is about advertising Telemetry opt-in.
Comment 3 Brian Nicholson (:bnicholson) 2011-11-08 13:31:42 PST
Created attachment 572988 [details] [diff] [review]
patch
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-08 19:40:51 PST
Comment on attachment 572988 [details] [diff] [review]
patch

>diff --git a/mobile/chrome/content/browser.js b/mobile/chrome/content/browser.js

>+    } catch (e) {
>+      // optional
>+    }
>+    if (!telemetryPrompted) {

Add a blank line

>diff --git a/mobile/locales/en-US/chrome/browser.properties b/mobile/locales/en-US/chrome/browser.properties

>+# Telemetry
>+telemetry.optin.message=Would you like to help improve %S by automatically reporting memory usage, performance, and responsiveness to Mozilla?

Desktop uses slightly different text:
http://mxr.mozilla.org/mozilla-central/source/browser/locales/en-US/chrome/browser/browser.properties#332

That is a bit too wordy for mobile IMO, but we can steal some of it. How about:
Will you help improve %S by sending anonymous information about memory usage and performance to Mozilla?
Comment 5 Lawrence Mandel [:lmandel] (use needinfo) 2011-11-09 06:57:18 PST
We went through some iterations on the desktop string to ensure it adequately covers the types of information that we're collecting. I don't know that restricting it to memory usage and performance is correct. We may want to go more general like

"Help improve %S by sending anonymous usage information to Mozilla."

@sstamm - Can you please review the proposed string from a privacy perspective.
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-09 07:28:55 PST
(In reply to Lawrence Mandel [:lmandel] from comment #5)
> We went through some iterations on the desktop string to ensure it
> adequately covers the types of information that we're collecting. I don't
> know that restricting it to memory usage and performance is correct. We may
> want to go more general like
> 
> "Help improve %S by sending anonymous usage information to Mozilla."
> 
> @sstamm - Can you please review the proposed string from a privacy
> perspective.

Shorter is better, so I like your suggestion. Let's get an approval on this and land it. We can always tweak the string before string freeze.
Comment 7 Brian Nicholson (:bnicholson) 2011-11-09 11:27:48 PST
Created attachment 573262 [details] [diff] [review]
patch v2

changed opt-in string
Comment 8 Sid Stamm [:geekboy or :sstamm] 2011-11-09 11:30:02 PST
(In reply to Lawrence Mandel [:lmandel] from comment #5)
> "Help improve %S by sending anonymous usage information to Mozilla."

This doesn't cover everything.  For example, it doesn't cover the attributes of your hardware (screen size, cpu capabilities, etc) that are being collected.
Comment 9 Lawrence Mandel [:lmandel] (use needinfo) 2011-11-09 11:34:42 PST
(In reply to Sid Stamm [:geekboy] from comment #8)
> (In reply to Lawrence Mandel [:lmandel] from comment #5)
> > "Help improve %S by sending anonymous usage information to Mozilla."
> 
> This doesn't cover everything.  For example, it doesn't cover the attributes
> of your hardware (screen size, cpu capabilities, etc) that are being
> collected.

Suggestions? How about dropping 'usage' as in (I do remember our conversation about anonymous but it seems to me that we need some adjective in this statement):

"Help improve %S by sending anonymous information to Mozilla."
Comment 10 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-09 13:14:46 PST
(In reply to Sid Stamm [:geekboy] from comment #8)
> (In reply to Lawrence Mandel [:lmandel] from comment #5)
> > "Help improve %S by sending anonymous usage information to Mozilla."
> 
> This doesn't cover everything.  For example, it doesn't cover the attributes
> of your hardware (screen size, cpu capabilities, etc) that are being
> collected.

We don't need to call everything out. We don't have that kind of space.
Comment 11 Sid Stamm [:geekboy or :sstamm] 2011-11-09 13:37:57 PST
(In reply to Mark Finkle (:mfinkle) from comment #10)
> We don't need to call everything out. We don't have that kind of space.

Absolutely.  I don't expect a laundry list, but we shouldn't provide a category that  omits stuff.  I favor "anonymous data" over "anonymous usage information", but am still brainstorming better categories.  What kind of space *do* we have?  Can you recommend size limits?
Comment 12 Tom Lowenthal [:StrangeCharm] 2011-11-10 16:24:54 PST
Let's only use the word "anonymous" if that's actually true. If users are potentially re-identifiable from the data we collect, it's pseudonymous.
Comment 13 Brian Nicholson (:bnicholson) 2011-11-11 12:33:43 PST
Created attachment 573892 [details] [diff] [review]
patch v3

rebased
Comment 14 Brian Nicholson (:bnicholson) 2011-11-11 12:42:57 PST
http://hg.mozilla.org/projects/birch/rev/2e175acc56b9

Landed.  I'll leave this bug open until we figure out the exact string we want.
Comment 15 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-11 12:45:27 PST
(In reply to Brian Nicholson (:bnicholson) from comment #14)
> http://hg.mozilla.org/projects/birch/rev/2e175acc56b9
> 
> Landed.  I'll leave this bug open until we figure out the exact string we
> want.

No need. We can file a new bug for that.
Comment 16 Lawrence Mandel [:lmandel] (use needinfo) 2011-11-11 12:55:24 PST
I see that this prompt has been implemented as a door hanger. Is there any way to dismiss a door hanger without clicking yes or no? If so, it may make sense to follow the desktop model and implement a tri state for Telemetry. See bug 697860.
Comment 17 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-11 13:24:26 PST
(In reply to Lawrence Mandel [:lmandel] from comment #16)
> I see that this prompt has been implemented as a door hanger. Is there any
> way to dismiss a door hanger without clicking yes or no?

Tapping BACK button or anywhere off the doorhanger

> If so, it may make
> sense to follow the desktop model and implement a tri state for Telemetry.
> See bug 697860.

File a new bug :(
Comment 18 :Margaret Leibovic 2011-11-11 14:32:13 PST
(In reply to Mark Finkle (:mfinkle) from comment #17)
> (In reply to Lawrence Mandel [:lmandel] from comment #16)
> > I see that this prompt has been implemented as a door hanger. Is there any
> > way to dismiss a door hanger without clicking yes or no?
> 
> Tapping BACK button or anywhere off the doorhanger

Doorhanger don't actually do this yet, but they will (bug 700434).
Comment 19 Aaron Train [:aaronmt] 2011-11-14 06:52:35 PST
20111114041052
http://hg.mozilla.org/projects/birch/rev/859ecdfe0168
Samsung Galaxy SII (Android 2.3.4)
Comment 20 Lawrence Mandel [:lmandel] (use needinfo) 2011-11-14 08:11:24 PST
(In reply to Mark Finkle (:mfinkle) from comment #17)
> (In reply to Lawrence Mandel [:lmandel] from comment #16)
> > I see that this prompt has been implemented as a door hanger. Is there any
> > way to dismiss a door hanger without clicking yes or no?
> 
> Tapping BACK button or anywhere off the doorhanger
> 
> > If so, it may make
> > sense to follow the desktop model and implement a tri state for Telemetry.
> > See bug 697860.
> 
> File a new bug :(

Done. See bug 702281.
Comment 21 Sid Stamm [:geekboy or :sstamm] 2011-11-14 09:50:48 PST
Filed bug 702319 to update the opt-in string.
Comment 22 Camelia Urian 2012-01-16 07:20:32 PST
Updated start-up test case in litmus:
https://litmus.mozilla.org/show_test.cgi?id=33699

Note You need to log in before you can comment on or make changes to this bug.